using FluentValidation;

namespace Baya.Application.Features.Catalog.Commands.CreateServiceOptionValue;

public sealed class CreateServiceOptionValueCommandValidator : AbstractValidator<CreateServiceOptionValueCommand>
{
    public CreateServiceOptionValueCommandValidator()
    {
        RuleFor(x => x.OptionGroupId).GreaterThan(0);
        RuleFor(x => x.NameFa).NotEmpty().MaximumLength(150);
        RuleFor(x => x.NameEn).NotEmpty().MaximumLength(150);
    }
}
